Debian Bug report logs - #602605
unblock: apt-xapian-index/0.41

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Enrico Zini <enrico@debian.org>

Date: Sat, 6 Nov 2010 12:27:01 UTC

Severity: normal

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#602605; Package release.debian.org. (Sat, 06 Nov 2010 12:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 06 Nov 2010 12:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: apt-xapian-index/0.41
Date: Sat, 06 Nov 2010 12:25:21 +0000
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: freeze-exception

Please unblock package apt-xapian-index. It fixes all severe bugs found
after my talk at the MiniDebconf:

apt-xapian-index (0.41) unstable; urgency=low

  * Fixed typo in dbus config
  * Fixed DeprecationWarning in set_sort_by_value. Closes: #601880.
  * Reset cached sort value if --sort is not provided for search.
    Closes: #601881.

 -- Enrico Zini <enrico@debian.org>  Sat, 06 Nov 2010 11:25:07 +0000

A mini feature crept in as part of the fix to #601880, I hope you don't
mind. The deprecation warning required the 2-parameters form of
set_sort_by_value to be used; however, since we were missing reverse
sort (without which sorting by some parameters like package size of age
would be useless), I added the missing parameter with its proper
purpose.

The relevant commit is this:

  commit 6d3d2d4ae74d802b3ac1b859c33924feddc492f8
  Author: Enrico Zini <enrico@enricozini.org>
  Date:   Sat Oct 30 15:29:55 2010 +0200
  
      Allow to reverse sort order
  
  diff --git a/axi-cache b/axi-cache
  index 69eee8a..531e3a9 100755
  --- a/axi-cache
  +++ b/axi-cache
  @@ -249,8 +249,11 @@ if not helponly:
                   # TODO: didn't this use to work?
                   #self.enquire.set_cutoff(int(self.get_cache_last("cutoff", 60)))
   
  +                reverse = sort[0] == '-' or sort[-1] == '-'
  +                sort = sort.strip('-')
  +
                   # Sort by the requested value
  -                self.enquire.set_sort_by_value(values[sort])
  +                self.enquire.set_sort_by_value(values[sort], reverse)
   
           def get_matches(self, first=None, count=20):
               if first is None:
  @@ -329,7 +332,7 @@ class Cmdline(object):
           self.parser = Parser(self, usage="usage: %prog [options] command [args]",
                           version="%prog "+ VERSION,
                           description="Query the Apt Xapian index.ENDDESC")
  -        self.parser.add_option("-s", "--sort", help="sort by the given value, as listed in %s" % axi.XAPIANDBVALUES)
  +        self.parser.add_option("-s", "--sort", help="sort by the given value, as listed in %s. Add a '-' to reverse sort order" % axi.XAPIANDBVALUES)
           self.parser.add_option("--tags", action="store_true", help="show matching tags, rather than packages")
           self.parser.add_option("--tabcomplete", action="store", metavar="TYPE", help="suggest words for tab completion of the current command line (type is 'plain' or 'partial')")
           self.parser.add_option("--last", action="store_true", help="use 'show --last' to limit tab completion to only the packages from the last search results")

unblock apt-xapian-index/0.41

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Sat, 06 Nov 2010 12:45:05 GMT) Full text and rfc822 format available.

Notification sent to Enrico Zini <enrico@debian.org>:
Bug acknowledged by developer. (Sat, 06 Nov 2010 12:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 602605-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Enrico Zini <enrico@debian.org>, 602605-done@bugs.debian.org
Subject: Re: Bug#602605: unblock: apt-xapian-index/0.41
Date: Sat, 06 Nov 2010 13:40:39 +0100
On 11/06/2010 01:25 PM, Enrico Zini wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: freeze-exception
> 
> Please unblock package apt-xapian-index. It fixes all severe bugs found
> after my talk at the MiniDebconf:
> 
> apt-xapian-index (0.41) unstable; urgency=low
> 
>   * Fixed typo in dbus config
>   * Fixed DeprecationWarning in set_sort_by_value. Closes: #601880.
>   * Reset cached sort value if --sort is not provided for search.
>     Closes: #601881.
> 
>  -- Enrico Zini <enrico@debian.org>  Sat, 06 Nov 2010 11:25:07 +0000
> 

Unblocked.

Thanks for your work,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Dec 2010 07:31:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:13:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.